Bug 1420173

Summary: [RFE] QoS support in OVS-DPDK
Product: Red Hat OpenStack Reporter: PURANDHAR SAIRAM MANNIDI <pmannidi>
Component: openvswitchAssignee: Karthik Sundaravel <ksundara>
Status: CLOSED WONTFIX QA Contact: Yariv <yrachman>
Severity: medium Docs Contact:
Priority: medium    
Version: 12.0 (Pike)CC: achernet, apevec, atelang, chrisw, fbaudin, nyechiel, rhos-maint, sclewis, srevivo, supadhya, vchundur, yrachman
Target Milestone: gaKeywords: FutureFeature, TestOnly, Triaged
Target Release: 14.0 (Rocky)   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
RHOS 14 deployed default with ODL ML2 plugin, Max BW moved to RHOSP15 by DFG:ODL
Last Closed: 2018-07-17 14:32:48 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1550668    
Bug Blocks:    

Comment 3 Red Hat Bugzilla Rules Engine 2017-03-15 12:17:40 UTC
This bugzilla has been removed from the release and needs to be reviewed and Triaged for another Target Release.

Comment 4 Vijay Chundury 2017-03-27 11:18:44 UTC
Reassigning it back to you Franck, we can plan for the next cycle as mentioned and will take it up with the appropriate EPIC.

Comment 5 Vijay Chundury 2017-04-24 10:38:42 UTC
Franck,
Can we push this to OSP13? We do have MTU/Multi-queue upstream change requests accepted  so in principle we can do this feature as part of the OVS2.6 update for OSP12.
I prefer if this can be done in the next cycle.
Please share your views? I am assigning it to Karthik anyway :).

Regards
Vijay.

Comment 7 Franck Baudin 2017-07-05 08:18:02 UTC
Forecasted for RHOSP14, doesn't fit into RHOSP13. Also, how many cores are required to implement this function? As of now, we need about the double of OVS-DPDK cores if we enable this feature, which is not acceptable as-is.

Comment 20 RHEL Program Management 2018-07-17 14:32:48 UTC
Quality Engineering Management has reviewed and declined this request.
You may appeal this decision by reopening this request.